package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_customer")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class CustomerDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * null
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "null", required = false)
    private Long createTime;
    /**
     * null
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "null", required = false)
    private Long updateTime;
    /**
     * null
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer partId;
    /**
     * null
     */
    @Column(name = "his_part_keyval")
    @ApiModelProperty(value = "null", required = false)
    private String hisPartKeyval;
    /**
     * null
     */
    @Column(name = "his_keyval")
    @ApiModelProperty(value = "null", required = false)
    private String hisKeyval;
    /**
     * 称呼
     */
    @Column(name = "named")
    @ApiModelProperty(value = "称呼", required = false)
    private String named;
    /**
     * 年龄
     */
    @Column(name = "age")
    @ApiModelProperty(value = "年龄", required = false)
    private Integer age;
    /**
     * 年龄单位。岁、月、天
     */
    @Column(name = "age_unit")
    @ApiModelProperty(value = "年龄单位。岁、月、天", required = false)
    private String ageUnit;
    /**
     * 身份证件类型。身份证、护照、军人证
     */
    @Column(name = "id_type")
    @ApiModelProperty(value = "身份证件类型。身份证、护照、军人证", required = false)
    private String idType;
    /**
     * 身份证号
     */
    @Column(name = "id_no")
    @ApiModelProperty(value = "身份证号", required = false)
    private String idNo;
    /**
     * 病人编号
     */
    @Column(name = "card_no")
    @ApiModelProperty(value = "病人编号", required = false)
    private String cardNo;
    /**
     * 状态。
     */
    @Column(name = "status")
    @ApiModelProperty(value = "状态。", required = false)
    private Boolean status;
    /**
     * 入院时间
     */
    @Column(name = "in_date")
    @ApiModelProperty(value = "入院时间", required = false)
    private Long inDate;
    /**
     * 出院时间
     */
    @Column(name = "out_date")
    @ApiModelProperty(value = "出院时间", required = false)
    private Long outDate;
    /**
     * 病情描述
     */
    @Column(name = "illness_desc")
    @ApiModelProperty(value = "病情描述", required = false)
    private String illnessDesc;
    /**
     * null
     */
    @Column(name = "member_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer memberId;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public String getHisPartKeyval() {
        return hisPartKeyval;
    }

    public void setHisPartKeyval(String hisPartKeyval) {
        this.hisPartKeyval = hisPartKeyval;
    }


    public String getHisKeyval() {
        return hisKeyval;
    }

    public void setHisKeyval(String hisKeyval) {
        this.hisKeyval = hisKeyval;
    }


    public String getNamed() {
        return named;
    }

    public void setNamed(String named) {
        this.named = named;
    }


    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }


    public String getAgeUnit() {
        return ageUnit;
    }

    public void setAgeUnit(String ageUnit) {
        this.ageUnit = ageUnit;
    }


    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }


    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }


    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }


    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }


    public Long getInDate() {
        return inDate;
    }

    public void setInDate(Long inDate) {
        this.inDate = inDate;
    }


    public Long getOutDate() {
        return outDate;
    }

    public void setOutDate(Long outDate) {
        this.outDate = outDate;
    }


    public String getIllnessDesc() {
        return illnessDesc;
    }

    public void setIllnessDesc(String illnessDesc) {
        this.illnessDesc = illnessDesc;
    }


    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }
}
